
QGIS Application - Bug report #4789

Add layer dialog causes re-render even if no changes are made

2012-01-11 07:26 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 14644

Description

If I open the Add layer dialog and do nothing, just hit Close, the whole view re-renders. This causes needless CPU usage and delays

when no re-render was needed.

History

#1 - 2012-01-11 07:28 PM - Aren Cambre

Correction: It's the Add PostGIS Layer dialog.

#2 - 2012-01-11 10:24 PM - Paolo Cavallini

Probably a duplicate of #3427

Please check and merge.

#3 - 2012-01-12 12:46 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #2596, merged.
